#include "chdecl.h"
void CH_getformatters_fmttype(current, sched, cop)
#define ARGUMENTS 5
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb1;
    case 2: goto c2;
    case 3: goto c13;
    case 4: goto c15;
    case 5: goto c17;
    case 6: goto c19;
    case 7: goto c22;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb1:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c2:
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
/* find 4 3.2 3.3.0 , 0 */
  if (findfunc(DEF(4),DEF(3)DOT(2),(
          arguments[0] = DEF(3)DOT(3)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* copy 3.4 4.1 */
  if((ch_returncode = cp_table(& ch_val, REF(4)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(3)DOT(4).tsdr)->finalize)(REF(3)DOT(4).value,F_DISCARD,sched);
  REF(3)DOT(4).value = ch_val;
  REF(3)DOT(4).tsdr = & dr_table;
/* ordenum_lit 5 , 33 */
  REF(5).value.ord_enum = 33;
  REF(5).tsdr = & dr_ord_enumeration;
/* insert 3.4 5 */
  if ((ch_returncode = insertfunc(DEF(3)DOT(4),DEF(5),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* block , 2 */
  if((ch_returncode = che_block(QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* find 6 4.2 3.3.1 , 0 */
  if (findfunc(DEF(6),DEF(4)DOT(2),(
          arguments[0] = DEF(3)DOT(3)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* copy 7 6.1 */
  if((ch_returncode = cp_table(& ch_val, REF(6)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).value = ch_val;
  REF(7).tsdr = & dr_table;
/* merge 3.4 7 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(4),DEF(7),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 15 */
   goto c15;
c13:
/* chs_lit 8 , "??" */
  if( !chs_lit(DEF(8),"??") ) goto ch_depletion;
/* merge 3.4 8 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(4),DEF(8),FALSE,0)) != Normal)
     goto ch_raise_exception;
c15:
/* endblock */
  che_endblock(sched);
/* branch , 19 */
   goto c19;
c17:
/* chs_lit 3.4 , "??!??" */
  if( !chs_lit(DEF(3)DOT(4),"??!??") ) goto ch_depletion;
c19:
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c22:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
